#ifndef RBSCREEN_HEADERS__
#define RBSCREEN_HEADERS__

void rbs_init();

void rbs_move(int row, int col);
void rbs_putc(char c);
void rbs_seta(char a);

void rbs_clearrow(int r);
void rbs_clearscreen();

void rbs_scrollup();
void rbs_scrolldown();
void rbs_setscrollregion(int top, int bottom);
void rbs_getscrollregion(int *top, int *bottom);

void rbs_getcursor(int *row, int *col);
void rbs_setcursor(int row, int col, int enable);

#define RB_AT_NONE      ((char)14)
#define RB_AT_REVERSE   ((char)1)
#define RB_AT_BOLD      ((char)2)
#define RB_AT_BLINK     ((char)4)
#define RB_AT_UNDER     ((char)8)

#endif /* RBSCREEN_HEADERS__ */